import React from "react";
import { composeStories } from "@storybook/react";
import * as stories from "../../../stories/views/Host/HostDetailsView.stories";

const { Default } = composeStories(stories);

describe("Host Details View", () => {
  it("shows only basic information to unprivileged users", () => {
    cy.mount(<Default userRoles={[]} />);
    cy.wait("@spec");
    cy.wait("@listIOCs");
    cy.wait("@getCSEntryHostWithStatus");

    cy.findByRole("heading", { name: /iocs/i, level: 3 }).should("exist");
    cy.findByRole("heading", { name: /host details/i, level: 3 }).should(
      "not.exist"
    );
    cy.findByRole("heading", { name: /host log stream/i, level: 3 }).should(
      "not.exist"
    );
  });

  it("shows details information to integrator admins", () => {
    cy.mount(<Default />);
    cy.wait("@spec");
    cy.wait("@listIOCs");
    cy.wait("@getCSEntryHostWithStatus");

    cy.findByRole("heading", { name: /iocs/i, level: 3 }).should("exist");
    // cy.findByRole("heading", {name: /host details/i, level: 3}).should("exist"); // requires CE-2399
    cy.findByRole("heading", { name: /host log stream/i, level: 3 }).should(
      "exist"
    );
  });
});
